## net.sf.saxon.regex
Class SurrogateRegexTranslator.Property

    java.lang.Object
      net.sf.saxon.regex.SurrogateRegexTranslator.CharClass
          net.sf.saxon.regex.SurrogateRegexTranslator.SimpleCharClass
              net.sf.saxon.regex.SurrogateRegexTranslator.Property

Enclosing class:
  SurrogateRegexTranslator

    public static class SurrogateRegexTranslator.Property

extends SurrogateRegexTranslator.SimpleCharClass

Character class containing characters that share a given Unicode property

Constructor Summary
`SurrogateRegexTranslator.Property(java.lang.String name)` Create a character class for a named property

Method Summary
`void` `inClassOutputBmp(FastStringBuffer buf)` Output a representation of the subset of this character class that's within the BMP, to a supplied buffer, using regex syntax that will be valid within a character class expression (that is, within square brackets)
`void` `outputBmp(FastStringBuffer buf)` Output a representation of the subset of this character class that's within the BMP, to a supplied buffer
`void` `outputComplementBmp(FastStringBuffer buf)` Output a representation of the subset of this character class that's outwith the BMP, to a supplied buffer.

Methods inherited from class net.sf.saxon.regex.SurrogateRegexTranslator.CharClass
`addNonBmpRanges, getContainsBmp, getContainsNonBmp, getSingleChar, output`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SurrogateRegexTranslator.Property

    public SurrogateRegexTranslator.Property(java.lang.String name)

  Create a character class for a named property

  Parameters:
    `name` - the name of the property

Method Detail

### outputBmp

    public void outputBmp(FastStringBuffer buf)

  Description copied from class: `SurrogateRegexTranslator.SimpleCharClass`
  Output a representation of the subset of this character class that's within the BMP, to a supplied buffer

  Overrides:
    `outputBmp` in class `SurrogateRegexTranslator.SimpleCharClass`
  Parameters:
    `buf` - the supplied buffer

### inClassOutputBmp

    public void inClassOutputBmp(FastStringBuffer buf)

  Description copied from class: `SurrogateRegexTranslator.SimpleCharClass`
  Output a representation of the subset of this character class that's within the BMP, to a supplied buffer, using regex syntax that will be valid within a character class expression (that is, within square brackets)

  Specified by:
    `inClassOutputBmp` in class `SurrogateRegexTranslator.SimpleCharClass`
  Parameters:
    `buf` - the supplied buffer

### outputComplementBmp

    public void outputComplementBmp(FastStringBuffer buf)

  Description copied from class: `SurrogateRegexTranslator.SimpleCharClass`
  Output a representation of the subset of this character class that's outwith the BMP, to a supplied buffer. Must not call if containsBmp == ALL

  Overrides:
    `outputComplementBmp` in class `SurrogateRegexTranslator.SimpleCharClass`
  Parameters:
    `buf` - the supplied buffer

Copyright (c) Saxonica Limited. All rights reserved.